Skip to main content

Stop afterwork

POST{{server}}/api/v1/counter/afterwork/stop

This endpoint stops the afterwork of the ticket. The next step depends on the status value in the response.

Request

  • ticket (string, required): The called ticket key

  • task (string, required): The key of the task under afterwork.

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}"
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/afterwork/stop' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}"
}'

Example​

Example request
POST{{server}}/api/v1/counter/afterwork/stop
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1905ee5f-dbe2-4dfc-dd29-9ad2056f437f",
"task": "1905ee5f-dbc7-4ac8-61a9-c9f961034f1b"
}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length12
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"status": 1
}